Bug 97480 - wrong fixed [misc] font selected as default
Summary: wrong fixed [misc] font selected as default
Status: RESOLVED NOT A BUG
Alias: None
Product: konsole
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-19 23:18 UTC by Malte Cornils
Modified: 2005-02-12 20:00 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to fix correct selectioin of Konsole font (902 bytes, patch)
2005-01-19 23:31 UTC, Malte Cornils
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Malte Cornils 2005-01-19 23:18:55 UTC
Version:            (using KDE KDE 3.3.1)
Installed from:    Debian testing/unstable Packages
Compiler:          gcc-3.3, but not relevant 
OS:                Linux

The exact bug description can be found here:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=289468

This upstream bug is to bring the problem to the attention of the KDE developers and to request feedback whether the patch could actually work (and be included in kdebase)!

-Malte
Comment 1 Malte Cornils 2005-01-19 23:31:40 UTC
Created attachment 9182 [details]
Patch to fix correct selectioin of Konsole font
Comment 2 Waldo Bastian 2005-01-20 12:41:32 UTC
I get rather different fonts here with the patch applied... I'm not sure if that is a good or a bad thing.
Comment 3 Malte Cornils 2005-01-20 12:45:20 UTC
With Medium font size setting, do you get the same font as is used by xterm?
One could also special case the default font case so that it only requires SemiCondensed for 13 pts. However, it would be great to know whether the current font fallback mechanism is intentional, i.e. whether it's a good or bad thing :)

-Malte
Comment 4 Kurt Hindenburg 2005-02-12 20:00:05 UTC
As of a few days ago, Konsole now uses KGlobalSettings::fixedFont(); for the fixed font.

You can set this in KControl->Appearance->Fonts

See http://bugs.kde.org/show_bug.cgi?id=98865 for the report about using fixedFont()